Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006523opensim[REGION] OpenSim Corepublic2013-01-29 06:372014-02-23 10:29
Reporterjak.daniels 
Assigned ToBlueWall 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006523: Static Maptile is Global rather than Region Specific
DescriptionCurrently the MaptileStaticUUID setting in OpenSim.ini affects the map tiles of all regions that a simulator is running. This is of little use unless running one region per sim. Whilst still keeping this global option, it should be possible to override it on a per region basis in Regions.ini so that each region can have its own custom maptile. This could be perhaps a screenshot taken while flying above the sim. This would make for better maps than the standard or warp3d mappers can produce when a region contains lots of mesh and sculpt terrain objects.
I suggest using the same setting in Regions.ini
MaptileStaticUUID =
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux64
Mono Version2.6
Viewer
Attached Filespatch file icon staticmaptiles.patch [^] (10,581 bytes) 2013-01-29 06:37 [Show Content]
patch file icon 0001-Allow-use-of-MaptileStaticUUID-in-Regions.ini-to-ove.patch [^] (10,043 bytes) 2013-01-30 14:25 [Show Content]

- Relationships
related to 0007032closedjak.daniels Region Specific Static Maptile doesn't work on varregions>1024x1024 (max size of a texture) 

-  Notes
(0023467)
jak.daniels (reporter)
2013-01-29 06:40

Rough and ready first cut. It works and both the World Map and the Viewer map show the different static tiles from all regions on the sim.

I know this code is probably not as elegant as it could be. Please advise on how I could do it better or 'The Right Way' ;-)

Checkout region NewClumbuktor in osgrid to see the maptile effect (and its adjacent regions) or coords 9956,10043 on the osgrid world map.
(0023468)
melanie (administrator)
2013-01-29 08:09

The part I don't like is adding a new config option, "GenerateMapTile". The mere presence of a non-UUID.Zero fixed maptile should imply that we don't want to generate one. No need for a new config option that would impact existing grids not using the feature.
(0023469)
jak.daniels (reporter)
2013-01-29 08:13

;; Map tile options. You can choose to generate no map tiles at all,
;; generate normal maptiles, or nominate an uploaded texture to
;; be the map tile
GenerateMaptiles = true

Do you mean this option? It was already there in OpenSim.ini and was already being used in Scene.cs to disable the world map generation (but not the Map tile generation in the viewer). I merely used it again to suppress the terrain generator in MapImageModule.cs from generating a terrain map and instead to using the static map
(0023470)
melanie (administrator)
2013-01-29 08:41

Ok, if it's no functionality change, then I'm ok with it.
(0023472)
BlueWall (administrator)
2013-01-30 08:56

Looks OK here. Please generate a patch with git format-patch so it includes your id and make sure it contains no ^M line endings.

Thanks,
BlueWall
(0023473)
jak.daniels (reporter)
2013-01-30 14:31

git format-patch generated and uploaded, please double check it looks ok as I am a git n00b.

Thanks
(0023475)
BlueWall (administrator)
2013-01-30 20:46

Patch applied, Thanks for the code!

BlueWall

- Issue History
Date Modified Username Field Change
2013-01-29 06:37 jak.daniels New Issue
2013-01-29 06:37 jak.daniels File Added: staticmaptiles.patch
2013-01-29 06:40 jak.daniels Note Added: 0023467
2013-01-29 06:40 jak.daniels Status new => patch included
2013-01-29 08:09 melanie Note Added: 0023468
2013-01-29 08:13 jak.daniels Note Added: 0023469
2013-01-29 08:41 melanie Note Added: 0023470
2013-01-30 08:56 BlueWall Note Added: 0023472
2013-01-30 14:25 jak.daniels File Added: 0001-Allow-use-of-MaptileStaticUUID-in-Regions.ini-to-ove.patch
2013-01-30 14:31 jak.daniels Note Added: 0023473
2013-01-30 20:46 BlueWall Note Added: 0023475
2013-01-30 20:46 BlueWall Status patch included => resolved
2013-01-30 20:46 BlueWall Fixed in Version => master (dev code)
2013-01-30 20:46 BlueWall Resolution open => fixed
2013-01-30 20:46 BlueWall Assigned To => BlueWall
2013-01-30 20:46 BlueWall Status resolved => closed
2014-02-23 10:29 jak.daniels Relationship added related to 0007032


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker